class JitPitchPredictor(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  device : Device
  pitch_sil_pred : bool
  pitch_emb_type : str
  speaker_emb : str
  len_reg : __torch__.tacotron2.forward_layers.LengthRegulator
  pitch_pred : __torch__.jit_forward_model.___torch_mangle_92.TransformerSeriesPredictor
  pitch_proj : __torch__.torch.nn.modules.conv.___torch_mangle_70.Conv1d
  def forward(self: __torch__.jit_forward_model.___torch_mangle_94.JitPitchPredictor,
    text: Tensor,
    speaker_ids: Tensor,
    orig_mask: Optional[Tensor]=None,
    alpha: float=1.) -> Tensor:
    pitch_pred = self.pitch_pred
    pitch_hat = (pitch_pred).forward(text, speaker_ids, orig_mask, alpha, )
    return torch.transpose(pitch_hat, 1, 2)
